Get all resident payments
The Resident Payments model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
order-by
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
offset
Can be used for paginating results
limit
A number between 1 and 250 to determine the number of results to return in a single query
property_id
The Propexo unique identifier for the property
integration_id
The Propexo unique identifier for the integration
integration_vendor
The property management system of record
resident_id
The Propexo unique identifier for the resident
lease_id
The Propexo unique identifier for the lease
transaction_date_start
The start of the transaction date range to search. Inclusive.
transaction_date_end
The end of the transaction date range to search. Inclusive.
Response
Successful response
meta
results
Errors
400
Bad Request Error

